com.holonplatform.datastore.jpa.jpql.expression

## Interface JPQLLiteral<T>

- Type Parameters:
    `T` - Value type
  All Superinterfaces:
    com.holonplatform.core.Expression, com.holonplatform.core.TypedExpression<T>

      public interface JPQLLiteral<T>
      extends com.holonplatform.core.TypedExpression<T>

  `Expression` which represents a JPQL literal value.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> JPQLLiteral<T>` | `create(T value)` Create a new `JPQLLiteral` using given value.
    `static <T> JPQLLiteral<T>` | `create(T value, com.holonplatform.core.temporal.TemporalType temporalType)` Create an `JPQLLiteral` using given value.
    `T` | `getValue()` Get the value

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, getType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getValue

          T getValue()

      Get the value
      Returns:
        The value

    - #### create

          static <T> JPQLLiteral<T> create(T value)

      Create a new `JPQLLiteral` using given value.
      Type Parameters:
        `T` - Value type
      Parameters:
        `value` - Literal value
      Returns:
        A new `JPQLLiteral`

    - #### create

          static <T> JPQLLiteral<T> create(T value,
                                           com.holonplatform.core.temporal.TemporalType temporalType)

      Create an `JPQLLiteral` using given value.
      Type Parameters:
        `T` - Value type
      Parameters:
        `value` - Value
        `temporalType` - Temporal type
      Returns:
        A new `JPQLLiteral`

Copyright © 2019 The Holon Platform. All rights reserved.